<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: Home.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: Home.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>/**
 * Main page
 *
 * @component
 */
function Home() {
  return (
    &lt;div className="home">
      &lt;h1>OOSP: Online Ontology Set Picker&lt;/h1>
      &lt;div className="content">
        &lt;h4>Purpose:&lt;/h4>
        &lt;p>
          Online Ontology Set Picker (OOSP) allows to select, from major
          repositories, ontologies that satisfy a user-defined sets of metrics.
          Its main purpose is allowing ontological tool designers to rapidly
          build custom benchmarks on which they could test different features.
          It could also serve for usage studies of different ontology language
          constructs and for pattern spotting. The web front-end allows to
          specify a broad range of metrics and delivers benchmarks along with
          their statistics of metrics, including a graph view.{" "}
        &lt;/p>
        &lt;hr />

        &lt;h4>Publications:&lt;/h4>
        &lt;div>
          &lt;p>
            Zamazal O., Svátek V.: OOSP: Ontological Benchmarks Made on the Fly.
            In: 1st International Workshop on Summarizing and Presenting
            Entities and Ontologies at ESWC 2015. Portoroz, Slovenia. 2015.{" "}
          &lt;/p>
          &lt;p>
            Zamazal O., Svátek V.: Ontology Search by Categorization Power. In:
            2nd International Workshop on Summarizing and Presenting Entities
            and Ontologies at ESWC 2016. Anissaras, Greece. 2016.{" "}
          &lt;/p>
          &lt;p>
            Zamazal O., Svátek V.: Facilitating Ontological Benchmark
            Construction Using Similarity Computation and Formal Concept
            Analysis. In: SEMANTiCS 2016 Posters and Demos track. Accepted.{" "}
          &lt;/p>
          &lt;p>
            Zamazal O., Dudáš M., Svátek V.: Augmenting the Ontology
            Visualization Tool Recommender: Input Pre-Filling and Integration
            with the OOSP Ontological Benchmark Builder. In: SEMANTiCS 2016
            Posters and Demos track. Accepted.{" "}
          &lt;/p>
        &lt;/div>
        &lt;hr />
        &lt;h4>Ontology Repositories:&lt;/h4>
        &lt;div>
          &lt;p>
            Currently, it offers two well-curated repositories: BioPortal and
            Linked Open Vocabularies (LOV). Further, in 2016 we included
            OntoFarm and NanJing Vocabulary Repository. We processed them using
            OWLAPI, thus we only include ontologies parseable by OWLAPI.
            Further, we could not process those ontologies which were not
            publicly available, were not available (or one of its imported
            ontologies) from its hosting server. As a results, we have the
            following snapshots:{" "}
          &lt;/p>
          &lt;ul>
            &lt;li>
              BioPortal February, 2015 snapshot includes 317 out of 375
              ontologies, i.e. 85%.
            &lt;/li>
            &lt;li>
              LOV February, 2015 snapshot includes 461 out of 475 ontologies,
              i.e. 97%.
            &lt;/li>
            &lt;li>
              OntoFarm January, 2016 snapshot includes 16 ontologies, i.e. 100%.
            &lt;/li>
            &lt;li>
              LOV January, 2016 snapshot includes 509 out of 529 ontologies,
              i.e. 96%.
            &lt;/li>
            &lt;li>
              BioPortal January, 2016 snapshot includes 399 out of 501
              ontologies, i.e. 80%.
            &lt;/li>
            &lt;li>
              NanJing Vocabulary Repository, 2016 snapshot includes 1403 out of
              1532 ontologies, i.e. 92%.
            &lt;/li>
            &lt;li>
              NanJing Vocabulary Repository merged, 2016 snapshot includes 225
              out of 231 ontologies, i.e. 97%.
            &lt;/li>
            &lt;li>
              LOV November, 2017 snapshot includes 568 out of 617 ontologies,
              i.e. 92%.
            &lt;/li>
            &lt;li>
              (new) BioPortal November, 2017 snapshot includes 494 out of 657
              ontologies, i.e. 75%.
            &lt;/li>
          &lt;/ul>
          &lt;hr />
          &lt;h4>Ontology Metrics:&lt;/h4>
          &lt;div>
            &lt;p>
              We include various ontology metrics from the following 7
              categories:
            &lt;/p>
            &lt;ul>
              &lt;li>
                Entity metrics include numbers of entities (e.g. classes,
                instances). Newly there is added "Metrics Based on Focus
                Classes".
              &lt;/li>
              &lt;li>
                Axiom metrics include numbers of different axiom types (e.g.
                subsumptions, equivalencies).
              &lt;/li>
              &lt;li>
                Class expression types metrics include expressions used for
                construction of anonymous classes (e.g. existential
                quantification).
              &lt;/li>
              &lt;li>
                Taxonomy metrics include characteristics of taxonomy (e.g. a
                number of top classes, leaf classes, branching degree or maximum
                taxonomy depth).
              &lt;/li>
              &lt;li>
                OWL2 profiles and reasoning metrics include profile information
                along with information about consistency and a number of
                unsatisfiable classes.
              &lt;/li>
              &lt;li>
                Annotations metrics include numbers of several selected
                annotation types (e.g. labels, comments, number of different
                languages involved in labels annotations).
              &lt;/li>
              &lt;li>
                Detail metrics include some experimentally designed metrics
                related to domain/range (e.g. number of anonymous classes as
                domain definition).{" "}
              &lt;/li>
            &lt;/ul>
          &lt;/div>
        &lt;/div>
      &lt;/div>
    &lt;/div>
  );
}

export default Home;
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="-_1.html">_1</a></li><li><a href="-_2.html">_2</a></li><li><a href="AnnotationMetricsFilters.html">AnnotationMetricsFilters</a></li><li><a href="AnnotationsDistribution.html">AnnotationsDistribution</a></li><li><a href="AxiomFrequencyDistribution.html">AxiomFrequencyDistribution</a></li><li><a href="AxiomMetricsFilters.html">AxiomMetricsFilters</a></li><li><a href="AxiomTypesDistribution.html">AxiomTypesDistribution</a></li><li><a href="ChartPopup.html">ChartPopup</a></li><li><a href="ClassesFrequencyDistribution.html">ClassesFrequencyDistribution</a></li><li><a href="ClassExpressionTypeMetricsFilters.html">ClassExpressionTypeMetricsFilters</a></li><li><a href="DetailMetricsFilters.html">DetailMetricsFilters</a></li><li><a href="DLConstructsDistribution.html">DLConstructsDistribution</a></li><li><a href="DomainRangeDefinitionDistribution.html">DomainRangeDefinitionDistribution</a></li><li><a href="EntitiyMetricsFilters.html">EntitiyMetricsFilters</a></li><li><a href="Home.html">Home</a></li><li><a href="InstancesFrequencyDistribution.html">InstancesFrequencyDistribution</a></li><li><a href="Navigation.html">Navigation</a></li><li><a href="OntologiesTableClass.html">OntologiesTableClass</a></li><li><a href="OWL2ProfilesAndReasoning.html">OWL2ProfilesAndReasoning</a></li><li><a href="OWL2ProfilesDistribution.html">OWL2ProfilesDistribution</a></li><li><a href="ResourceFilter.html">ResourceFilter</a></li><li><a href="Tab.html">Tab</a></li><li><a href="Tabs.html">Tabs</a></li><li><a href="TaxonomyMetricsFilters.html">TaxonomyMetricsFilters</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Sun Apr 11 2021 17:29:26 GMT+0200 (stredoeurópsky letný čas)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
